package com.logicbig.example;

import javax.validation.ConstraintTarget;
import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.IntStream;

public class MyBean {

    @EvenNumbers(validationAppliesTo = ConstraintTarget.RETURN_VALUE)
    @EvenNumbers(validationAppliesTo = ConstraintTarget.PARAMETERS)
    public List<Integer> findEvenNumbersBetween(Integer startEven, Integer endEven) {
        return IntStream.range(startEven, endEven + 1)
                        .filter(i -> i % 2 != 0)//purposely make it wrong
                        .boxed()
                        .collect(Collectors.toList());
    }
}